dnl======================================================================
dnl GDS_CHECK_FRAMECPP
dnl   Check if framecpp is installed
dnl removed framecpplibs="-Wl,--no-as-needed -Wl,--copy-dt-needed-entries 
dnl                      $framecpplibs"
dnl======================================================================

AC_DEFUN([AC_GDS_CHECK_FRAMECPP],
[
have_framecpp=not-set
PKG_CHECK_MODULES(FRAMECPP, framecpp, have_framecpp=yes, have_framecpp=no)
if test "${have_framecpp}" = "yes"
then
  framecpplibs="$FRAMECPP_LIBS"
  framecppcflags="$FRAMECPP_CFLAGS"
  if ${PKG_CONFIG} --atleast-version=2.6.0 framecpp; then
    true
  else
    AC_DEFINE([FRAMECPP_USES_LDAS_TOOLS_SHARED_PTR],1,[Set to 1 if using LDAS Tools shared ptr])
  fi
fi
if test "${have_framecpp}" = "no"
then
  framecppcflags=""
  framecpplibs="-lframecpp -lldastoolsal"
fi
AC_MSG_RESULT($have_framecpp)
#framecpplibs="-Wl,--no-as-needed $framecpplibs"
AM_CONDITIONAL([require_framecpp], test x$have_framecpp = xno)
AC_SUBST(framecpplibs)
AC_SUBST(framecppcflags)
])
